%global momorel 8

Summary: library to import Microsoft Word documents
Name: wv2
Version: 0.2.3
Release: %{momorel}m%{?dist}
License: LGPLv2
Group: System Environment/Libraries
URL: http://sourceforge.net/projects/wvware/
Source0: http://dl.sourceforge.net/sourceforge/wvware/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: %{name}-%{version}-gcc43.patch
BuildRequires: libgsf-devel >= 1.14.0

%description
The wv2 library is used to import Microsoft Word documents in koffice
for example.

%package devel
Summary: Headers for developing programs that will use wv2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgsf-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use libraries from wv2.

%prep
%setup -q

%patch0 -p1 -b .gcc43~

%build
CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--disable-debug

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog INSTALL README RELEASE THANKS TODO
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-, root, root)
%{_bindir}/%{name}-config
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-8m)
- full rebuild for mo7 release

* Sun Aug  1 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.3-7m)
- revert to version 0.2.3 for koffice

* Mon Dec 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.1-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Oct 17 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.3-6m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.3-5m)
- rebuild against gcc43

* Thu Feb 21 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.2.3-4m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.3-3m)
- %%NoSource -> NoSource

* Fri Aug 18 2006 Nishio Futoshi <futoshi@momonga-linix.org>
- (0.2.3-2m)
- delete libtool library

* Sat Jun 17 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.2.3-1m)
- update to 0.2.3

* Wed Apr 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.2-3m)
- rebuild against libgsf-1.14.0

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-2m)
- rebuild against libgsf-1.13.3

* Fri Jun 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.2-1m)
- initial package for koffice
- import Summary and %%description from SUSE supplementary
